View Issue Details

IDProjectCategoryView StatusLast Update
0006535Talerwallet (TS core)public2020-09-11 22:24
Reportergrote Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006535: PreparePayAlreadyConfirmedResponse does not include proposalId
DescriptionCurrently, the Android wallet crashes when you scan an already paid code, because the proposalId is missing from the response.

It is documented that one should be included:
https://git.taler.net/docs.git/tree/taler-wallet.rst?id=12d6cab7efc156f0df4a037423d6ab0e318796bf#n773

Here's what wallet-core gave:

{
      "type": "response",
      "operation": "preparePay",
      "id": 8,
      "result": {
        "status": "already-confirmed",
        "contractTerms": {
          "amount": "TESTKUDOS:0.5",
          "extra": {
            "article_name": "11._The_Free_Software_Song"
          },
          "fulfillment_url": "https:\/\/shop.test.taler.net\/essay\/11._The_Free_Software_Song",
          "summary": "Essay: 11. The Free Software Song",
          "refund_deadline": {
            "t_ms": 1598300697000
          },
          "wire_transfer_deadline": {
            "t_ms": 1598300847000
          },
          "products": [],
          "h_wire": "KV40K023N8EC1F5100TYNS23C4XN68Y1Z3PTJSWFGTMCNYD54KT4S791V2VQ91SZANN86VDAA369M4VEZ0KR6DN71EVRRZA71K681M0",
          "wire_method": "x-taler-bank",
          "order_id": "2020.237-0209FKZJR35PE",
          "timestamp": {
            "t_ms": 1598300398000
          },
          "pay_deadline": {
            "t_ms": "never"
          },
          "max_wire_fee": "TESTKUDOS:1",
          "max_fee": "TESTKUDOS:1",
          "wire_fee_amortization": 3,
          "merchant_base_url": "https:\/\/backend.test.taler.net\/instances\/blog\/",
          "merchant": {
            "name": "Blog",
            "instance": "blog"
          },
          "exchanges": [
            {
              "url": "https:\/\/exchange.test.taler.net\/",
              "master_pub": "DY95EXAHQ2BKM2WK9YHZHYG1R7PPMMJPY14FNGP662DAKE35AKQG"
            },
            {
              "url": "https:\/\/exchange.test.taler.net\/",
              "master_pub": "DY95EXAHQ2BKM2WK9YHZHYG1R7PPMMJPY14FNGP662DAKE35AKQG"
            }
          ],
          "auditors": [],
          "merchant_pub": "8DR9NKSZY1CXFRE47NEYXM0K85C4ZGAYH7Y7VZ22GPNF0BRFNYNG",
          "nonce": "99NK7DB3JMTG01KYXGHJ2TC1NH900TJMKC672S25NQQ2MSQ0X3BG"
        },
        "contractTermsHash": "2065NTXVY2D4KXS75WGJ19Y6X3SCNGSCPHH9SMEAT6SXW4JKBFEQ3G74S3F6HWYQ73JZJ40RJPP2FXYNWXKA5TVFWRE27XT6JYA66W8",
        "paid": true,
        "amountRaw": "TESTKUDOS:0.5",
        "amountEffective": "TESTKUDOS:0.6",
        "nextUrl": "2020.237-0209FKZJR35PE"
      }
    }
TagsNo tags attached.

Activities

Florian Dold

2020-09-04 13:14

manager   ~0016842

Has been resolved a few versions prior to wallet-core v0.7.1-dev.26

Issue History

Date Modified Username Field Change
2020-08-24 22:31 grote New Issue
2020-08-24 22:31 grote Status new => assigned
2020-08-24 22:31 grote Assigned To => Florian Dold
2020-09-04 13:14 Florian Dold Status assigned => resolved
2020-09-04 13:14 Florian Dold Resolution open => fixed
2020-09-04 13:14 Florian Dold Note Added: 0016842
2020-09-11 22:24 Christian Grothoff Fixed in Version => 0.8
2020-09-11 22:24 Christian Grothoff Target Version => 0.8